#include "Drag and Drop.h"

HICON g_hIcon;
HWND g_hWndDialog;
HINSTANCE g_hInstance;

int APIENTRY  WinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,LPSTR lpCmdLine,int nCmdShow)
{
	g_hInstance = hInstance;
	InitCommonControls();
	g_hIcon = LoadIcon(hInstance, MAKEINTRESOURCE(IDI_ICON1) );
	DialogBox(hInstance, MAKEINTRESOURCE(IDD_DIALOG), NULL, (DLGPROC)DialogProc);	
	DestroyIcon(g_hIcon);
	return 0;
}

INT_PTR CALLBACK DialogProc(HWND hwndDlg,UINT uMsg,WPARAM wParam,LPARAM lParam)
{
	
	switch (uMsg)
	{
	case WM_COMMAND:
			if ( wParam == IDC_BTN_ABOUT)
			DialogBox(g_hInstance,MAKEINTRESOURCE(IDD_ABOUT),hwndDlg,(DLGPROC)AboutDlgProc);
			break;
		break;
	case WM_INITDIALOG:
			  g_hWndDialog = hwndDlg;
			  SendMessage(hwndDlg,WM_SETICON,ICON_BIG,(LPARAM)g_hIcon);
		      // Start accepting files.
              DragAcceptFiles( hwndDlg, TRUE );
			return TRUE;
	case WM_DROPFILES:
		On_DropFiles((HDROP)wParam);
		return 0;
	case WM_CLOSE:
			EndDialog(hwndDlg,0);
			break;
	}

	return FALSE;
}
INT_PTR CALLBACK AboutDlgProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	switch (uMsg)
	{
	case WM_COMMAND:
		if ( wParam == IDC_BTN_OK)
			EndDialog(hwndDlg,0);
			break;
	case WM_INITDIALOG:
		SendMessage(hwndDlg,WM_SETICON,ICON_BIG,(LPARAM)g_hIcon);
		return true;
	case WM_CLOSE:
		EndDialog(hwndDlg,0);
		break;
	}
	return FALSE;
}

void On_DropFiles(HDROP hDrop)
{
	char szItemPath[MAX_PATH];
    UINT   nItemCount = DragQueryFile( hDrop,0xFFFFFFFF, NULL, NULL );

	 for (UINT i = 0; i < nItemCount; i++ )
	 {
        DragQueryFile(hDrop , i, szItemPath, sizeof(szItemPath));
		SendMessage(GetDlgItem(g_hWndDialog,IDC_LIST1),LB_ADDSTRING,NULL,(LPARAM) szItemPath);
	 }
	DragFinish(hDrop);
}
/*
This software created by Muhammad Arshad Latti
From Sargodha ( Pakistan) 
e-mail   :: arshadlatti@gmail.com 
web_site :: http://www.geocities.com/arshadlati
*/
